$!
$! Link the procetected sharable image.
$!
$!  Specify object file and resulting executable as P1 and P2
$!
$ obj_file = f$parse(P1,"gnupg_privileged_nonvax.obj")
$ exe_file = f$parse(P2,"gnupg_privileged_nonvax.exe")
$ src_file = f$parse(".c;",obj_file)
$!
$! Re-compile object file if older than source file.
$!
$ src_date = ""
$ obj_date = ""
$ fspec = f$search(src_file)
$ if fspec .nes. "" then src_date = f$cvtime(f$file(fspec,"RDT"))
$ fspec = f$search(obj_file)
$ if fspec .nes. "" then obj_date = f$cvtime(f$file(fspec,"RDT"))
$ if src_date .gts. obj_date then -
	cc 'src_file' + SYS$LIBRARY:SYS$LIB_C/library /object='obj_file'
$ link /share='exe_file'/protect/map=gnupg_privileged_nonvax.map -
        /sysexe /notrace 'obj_file',sys$input/option
!
! Linker options file.
!
GSMATCH=LEQUAL,1,2
CASE_SENSITIVE=NO

SYMBOL_VECTOR=(vms_lock_memory=PROCEDURE,-
        vms_unlock_memory=PROCEDURE )

!
! Mark the psect containing the PLV with the VEC attribute.
PSECT=USER_SERVICES,VEC,NOWRT,NOEXE
COLLECT=PLV,USER_SERVICES
$!
$ write sys$output "Protected shareable image built, must be installed /prot/share
$ exit 
